# $Revision: 1.76 $, $Date: 2005/10/22 21:54:33 $
Summary:	A GNU general-purpose parser generator
Summary(de):	GNU-Parser-Generator
Summary(es):	Generador de parser de la GNU
Summary(fr):	Gnrateur d'analyseur lexical de GNU
Summary(pl):	GNU generator skadni
Summary(pt_BR):	Gerador de parser da GNU
Summary(ru):	Bison -   GNU
Summary(tr):	GNU ayrtrc reticisi
Summary(uk):	Bison -  Ҧ GNU
Name:		bison
Version:	2.1
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.gnu.org/gnu/bison/%{name}-%{version}.tar.bz2
# Source0-md5:	ef3110077462b1140b2ae612626e8486
Source1:	%{name}.1.pl
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	gettext-devel >= 0.12
BuildRequires:	m4 >= 1.4.3
BuildRequires:	texinfo >= 4.0
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	m4 >= 1.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pkgdatadir	%{_datadir}/bison

%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR context-free grammar into a C program to parse
that grammar. Bison can be used to develop a wide range of language
parsers, from ones used in simple desk calculators to complex
programming languages. Bison is upwardly compatible with Yacc, so any
correctly written Yacc grammar should work with Bison without any
changes. If you know Yacc, you shouldn't have any trouble using Bison
(but you do need to be very proficient in C programming to be able to
use Bison). Many programs use Bison as part of their build process.
Bison is only needed on systems that are used for development.

%description -l de
Dies ist der GNU-Parser-Generator, der grtenteils mit yacc
kompatibel ist. Viele Programme benutzen ihn als Teil des
Aufbauvorgangs. Bison wird nur auf Systemen bentigt, die zur
Entwicklung verwendet werden.

%description -l es
Este es el creador de anlisis gramatical GNU ms compatible con yacc.
Varios programas lo utilizan como parte del su proceso de
construccin. Bison solamente hace falta en sistemas que se usan para
desarrollo.

%description -l fr
Gnrateur d'analyseur lexical de GNU compatible avec yacc. De
nombreux programmes l'utilisent dans leur phase de construction. Bison
ne sert que sur les systmes utiliss pour le dveloppement.

%description -l pl
W pakiecie znajduje si implementacja GNU generatora analizatora
skadni, ktry jest odpowiednikiem programu yacc. Wiele programw
podczas kompilacji potrzebuje tego programu aby proces budowy plikw
binarnych przebiega prawidowo. Bison jest potrzebny tylko w
systemach, w ktrych prowadzone s rnego rodzaju kompilacje.

%description -l pt_BR
Este  o gerador de anlise gramatical GNU que  mais compatvel com
yacc. Vrios programas o utilizam como parte do seu processo de
construo. Bison  somente necessrio em sistemas que so usados para
desenvolvimento.

%description -l ru
Bison -  ,     yacc.  
    . Bison    ,
    .

%description -l tr
byacc bir yacc ayrtrcsdr. Pek ok program tarafndan, kurulum
sreci srasnda kullanlr. Gelitirme yapanlara gerekli olabilir.

%description -l uk
Bison -  , ¦ ͦ  yacc.  
   Ӧ Цæ. Bison Ҧ Ԧ 
, ˦    .

%package runtime
Summary:	Runtime library for programs containing bison-generated parsers
Summary(pl):	Biblioteka uruchomieniowa dla programw zawierajacych parsery bisonowe
Group:		Libraries

%description runtime
Runtime library for internationalized programs containing
bison-generated parsers.

%description runtime -l pl
Biblioteka uruchomieniowa dla umidzynarodowionych programw
zawierajacych parsery wygenerowane przez bisona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub config
%configure
%{__make} \
	pkgdatadir=%{pkgdatadir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/pl/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgdatadir=%{pkgdatadir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/bison.1

%find_lang %{name}
%find_lang %{name}-runtime

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/bison
# would conflict with byacc (but is not 100% compatible)
#%attr(755,root,root) %{_bindir}/yacc
%{pkgdatadir}
%{_libdir}/lib*.a
%{_aclocaldir}/bison-i18n.m4
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/*.info*

%files runtime -f %{name}-runtime.lang
%defattr(644,root,root,755)

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bison.spec,v $
Revision 1.76  2005/10/22 21:54:33  qboosh
- updated to 2.1
- updated info patch, added pl.po-update patch
- added -runtime package

Revision 1.75  2005/01/08 01:44:17  qboosh
- updated to 2.0, removed obsolete unused,code_start-segv patches

Revision 1.74  2004/09/25 11:20:50  radek
- cosmetics (spaces -> tabs)

Revision 1.73  2004/04/02 15:03:41  pluto
- R: m4, release 8.

Revision 1.72  2004/01/14 21:13:20  qboosh
- added code_start-segv patch (fix for possible SEGV in EPILOGUE), release 7

Revision 1.71  2004/01/02 15:40:48  jajcus
- Release: 6 (STBR after AMD64 fixes)

Revision 1.70  2003/12/25 13:54:49  jajcus
- copy config.sub from automake

Revision 1.69  2003/12/03 15:59:59  qboosh
- m4 >= 1.4 says configure

Revision 1.68  2003/12/03 15:51:12  yoshi
- Added missing BR: m4 [16:49 <+piernik> y0shizly: Moe by na mnie ;-)]

Revision 1.67  2003/08/24 21:17:01  mmazur
- for ac: flex rel5; bison rel5; byacc rel24

Revision 1.66  2003/08/06 16:35:20  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.65  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.64  2003/05/25 05:45:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.63  2003/05/22 23:43:30  malekith
- release 4; removed obsoletes yacc (what was it good for? it causes uninstall of byacc)

Revision 1.62  2003/01/28 21:59:27  qboosh
- moved data to /usr/share/bison (too many files for /usr/share/misc)
- added unused patch - "__attribute__((__unused__))" was harmful for g++
- release 3

Revision 1.61  2003/01/06 20:00:28  qboosh
- removed /usr/bin/yacc script, bison is not 100% compatible with byacc
  (e.g. .y files in ash,openmotif and qt are incompatible with bison)
- release 2

Revision 1.60  2003/01/04 20:38:18  qboosh
- grr, info patch is back (updated)
- cleanups, removed evil workaround (no longer necessary)

Revision 1.59  2003/01/04 13:14:13  juandon
- upgrade to 1.875
- added /usr/lib/liby.a to the package
- removed obsoletes patches
- Release 1

Revision 1.58  2002/12/23 14:16:02  qboosh
- updated Source0 URL

Revision 1.57  2002/10/24 07:39:51  kloczek
- bump release to 5.

Revision 1.56  2002/10/24 00:11:07  ankry
- updated man page; rel. 3

Revision 1.55  2002/05/21 20:38:17  qboosh
- touching all files is stupid - remove bison.info* to force rebuild it w/patch
- release 2

Revision 1.54  2002/04/30 22:57:07  kloczek
- updated to 1.35 (fix incompatible with C++ compilers).

Revision 1.53  2002/04/25 15:53:33  arturs
fixed a small typo

Revision 1.52  2002/03/23 03:38:55  kloczek
- merge translations from KSI.

Revision 1.51  2002/03/23 03:35:30  kloczek
- updated to 1.34 (bugfixes).

Revision 1.50  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.49  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.48  2002/02/11 22:46:30  filon
- touch all files, to avoid running missing --autoheader by make
- (we don't have automake 2.52g) release 2

Revision 1.47  2002/02/08 18:02:13  kloczek
- updated to 1.33 (bugfix release).

Revision 1.46  2002/01/26 00:13:06  kloczek
- remove mapping datadir to /usr/share/misc,
- map pkgdatadir to /usr/share/misc.

Revision 1.45  2002/01/25 20:27:21  blues
- typo fixed

Revision 1.44  2002/01/24 21:53:37  kloczek
- updated to 1.32 (portability fixes and more translations),
- merge translations from Conectiva,
- added using %%find_lang macro.

Revision 1.43  2002/01/21 09:13:27  ankry
- fixed source URL

Revision 1.42  2002/01/19 21:17:20  filon
- updated to 1.31

Revision 1.41  2002/01/18 02:12:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2001/09/26 17:47:25  qboosh
- pl man is back

Revision 1.39  2001/09/26 04:51:48  filon
- updated to 1.29
- temporary commented ac/am execution, needs ac 2.52c
- updated man and info patches
- release 1

Revision 1.38  2001/08/08 17:33:14  kloczek
- only bump release to 8.

Revision 1.37  2001/08/07 22:24:35  blues
- Release 7
- ac 2.5 ready

Revision 1.36  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.34  2000/10/11 18:53:04  kloczek
- release 6: ue new rpm automation.

Revision 1.33  2000/06/19 00:18:48  kloczek
- release 5.

Revision 1.32  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.31  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.30  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.29  2000/05/18 02:01:26  kloczek
- spec adapterized.

Revision 1.28  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.27  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.26  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.25  2000/02/17 05:29:18  kloczek
- release 4,
- spec adapterized.

Revision 1.24  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.23  1999/09/23 17:43:12  kloczek
- release 2,
- updated en Summary and %description (from rawhide).

Revision 1.22  1999/09/19 09:05:39  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.21  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).
